package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

@ApiModel
public class DrpQuoteComparisonDetailDTO {
   @ApiModelProperty("货品招标单号")
   private @NotBlank(
   message = "货品招标单号不能为空!"
) String materialInquiryId;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("过滤0(0-不过滤,1-过滤)")
   private Integer filterZero;

   public String getMaterialInquiryId() {
      return this.materialInquiryId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Integer getFilterZero() {
      return this.filterZero;
   }

   public void setMaterialInquiryId(final String materialInquiryId) {
      this.materialInquiryId = materialInquiryId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setFilterZero(final Integer filterZero) {
      this.filterZero = filterZero;
   }
}
